## org.apache.lucene.facet.search
Enum FacetRequest.SortOrder

    java.lang.Object
      java.lang.Enum<FacetRequest.SortOrder>
          org.apache.lucene.facet.search.FacetRequest.SortOrder

All Implemented Interfaces:
  Serializable, Comparable<FacetRequest.SortOrder>

Enclosing class:
  FacetRequest

    public static enum FacetRequest.SortOrder

extends Enum<FacetRequest.SortOrder>

Requested sort order for the results.

Enum Constant Summary
`ASCENDING`
`DESCENDING`

Method Summary
`static FacetRequest.SortOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetRequest.SortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final FacetRequest.SortOrder ASCENDING

### DESCENDING

    public static final FacetRequest.SortOrder DESCENDING

Method Detail

### values

    public static FacetRequest.SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FacetRequest.SortOrder c : FacetRequest.SortOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FacetRequest.SortOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.